Subject: [OPS-AREA] RE: [MIB-DOCTORS] FW: Update to Internet-Draft and RFC Boilerplat e

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 6 Nov 2006 21:28:24 +0100

Sorry for my late reaction.

IF we do an RFC at all, I would just do a complete
replacement for RFC4181, so we have ALL our guidelines
in one single document. It is difficult for people to 
find all sort of SETs of document that update each other.

An erratum (or whatever we can do instead on the OPS area
web pages) is fine with me too.

Bert

> -----Original Message-----
> From: C. M. Heard [mailto:[email-masked]]
> Sent: Friday, October 27, 2006 22:13
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [MIB-DOCTORS] FW: Update to Internet-Draft and RFC
> Boilerplate
> 
> 
> On Fri, 27 Oct 2006, Romascanu, Dan (Dan) wrote:
> ...
> > From: IETF Chair [mailto:[email-masked]] 
> > Sent: Friday, October 27, 2006 3:20 AM
> > To: IETF Announcement list
> > Subject: Update to Internet-Draft and RFC Boilerplate 
> > 
> > A small update to BCP 78 was recently approved by the IESG 
> as RFC 4748,
> > to update the boilerplate (i.e., standard legal text) in RFCs and
> > Internet-Drafts to recognize the IETF Trust as a rights 
> holder, instead
> > of ISOC.
> ...
> >       In MIB modules, PIB modules and similar material commonly
> >       extracted from IETF Documents, except for material 
> that is being
> >       placed under IANA maintenance, the following 
> abbreviated notice
> >       shall be included in the body of the material that will be
> >       extracted in lieu of the notices otherwise required 
> by Section 5:
> > 
> > OLD
> >          "Copyright (C) The Internet Society <year>.  This 
> version of
> >          this MIB module is part of RFC XXXX; see the RFC itself for
> >          full legal notices."
> > 
> > NEW
> >          "Copyright (C) The IETF Trust <year>.  This version of
> >          this MIB module is part of RFC XXXX; see the RFC itself for
> >          full legal notices."
> > 
> >       When the MIB or PIB module is the initial version of 
> a module that
> >       is to be maintained by the IANA, the following 
> abbreviated notice
> >       shall be included:
> > 
> > OLD
> >          "Copyright (C) The Internet Society <year>.  The initial
> >          version of this MIB module was published in RFC 
> XXXX; for full
> >          legal notices see the RFC itself.  Supplementary 
> information
> >          may be available at:
> >          http://www.ietf.org/copyrights/ianamib.html."
> > 
> > NEW
> >          "Copyright (C) The IETF Trust <year>.  The initial
> >          version of this MIB module was published in RFC 
> XXXX; for full
> >          legal notices see the RFC itself.  Supplementary 
> information
> >          may be available at:
> >          http://www.ietf.org/copyrights/ianamib.html."
> 
> Note that this obsoletes Section 3.7 of RFC 4181 (mib review
> guidelines).  I was asleep at the switch when 4748 was last-called;  
> I should have asked for that document to update BCP 111 also.
> 
> Anyway, it looks like we probably need to update RFC 4181.  I can't
> serve as editor anymore.  Any takers?  I do have some minor errata
> that haven't been posted on the RFC Editor or OPS web site;  I can
> easily fish those out of my archives and send them to whoever takes
> over.
> 
> Mike Heard
> 
> P.S.  If 4181 ever does get re-issued it would be a good idea to try
> to insulate it from the seemingly endless churn in the IPR documents
> (i.e., 3878, 3879, 4748, and their successors).
> 
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mib-doctors
> 

_______________________________________________
OPS-AREA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ops-area

---

From: "C. M. Heard" <[email-masked]>
Date: Mon, 6 Nov 2006 17:40:54 -0800 (PST)

On Mon, 6 Nov 2006, Wijnen, Bert (Bert) wrote:
> IF we do an RFC at all, I would just do a complete replacement
> for RFC4181, so we have ALL our guidelines in one single
> document. It is difficult for people to find all sort of SETs of
> document that update each other.
> 
> An erratum (or whatever we can do instead on the OPS area web
> pages) is fine with me too.

For the benefit of the folks on the ops-area list who have not seen
the preceding discussion on the mib-doctors list, I proposed writing
a very short RFC to update 4181, the meat of which was this:

| In the copyright notice templates in Section 3.7, replace all
| occurrences of "The Internet Society" with "The IETF Trust".

In answer to Bert's comments, I don't have a problem with doing a
complete re-issue of 4181, provided that someone else is willing to
serve as editor.  Unfortunately, I don't have the time to do the
job.

Mike